{% extends 'base.html' %}


{%block title%}Liste des adhérents{%endblock%}

{% block content %}



<ul class="list-group w-max inline-blocks-align-top mr-1">
    <li class="list-group-item list-group-item-success">Adhérents</li>
    {% for adherent in Valides %}
    <li class="list-group-item">
        {{ detail_ad(adherent) }}
    </li>
    {% endfor %}
</ul>
<form action="{{URLFor('adherents_pay')}}" method="post" class="ml-1 w-max inline-blocks-align-top">
    <ul class="list-group">
        <li class="list-group-item list-group-item-warning">Adhésions non payées</li>
        {% for adherent in Impayes %}
        <li class="list-group-item">
            <input type="checkbox" name="{{adherent.Username}}"/>
            {{ detail_ad(adherent) }}
        </li>
        {% endfor %}
        <li class="list-group-item list-group-item-action">
            <button class="btn btn-info">Payer les adhérents sélectionnés</button>
        </li>
    </ul>
    <input type="hidden" name="_csrf" value="{{csrf_token}}"/>
</form>

<form action="{{URLFor('adherents_validate')}}" method="post" class="ml-1 w-max inline-blocks-align-top">
    <ul class="list-group">
        <li class="list-group-item list-group-item-danger">Personnes non validées</li>
        {% for adherent in Invalides %}
        <li class="list-group-item">
            <input type="checkbox" name="{{adherent.Username}}"/> &nbsp;
            {{ detail_ad(adherent) }}
        </li>
        {% endfor %}
        <li class="list-group-item list-group-item-action">
            <button class="btn btn-success">Valider les personnes sélectionnés</button>
        </li>
    </ul>
    <input type="hidden" name="_csrf" value="{{csrf_token}}"/>
</form>

<br/>
<br/>
<div class="alert alert-info">
    <h4 class="alert-heading">Explications</h4>
    <p>N'importe qui peut s'inscrire sur votre serveur avec un compte SSO Asso-insa-lyon Keycloak. Pour éviter le spam
        et autres problèmes, à l'inscription les personnes sont placées dans la colonnne <i>Non validé</i>.
        Une fois que vous avez vérifié que c'est quelqu'un que vous connaissez, vous pouvez le valider.<br/>
        Les personnes non validées sont considérées comme ne faisant pas partie de votre association, indépendamment
        du paiement de leur adhésion.</p>
    <p>La colonne <i>Adhésions non payées</i> correspond aux personnes validées qui ont payé.</p>
</div>
{% endblock %}